Skip to main content
`Ctrl`+`K`

# PetscSectionVecNorm

Computes the vector norm of each field

## Synopsis

    #include "petscsection.h"
    #include "petscvec.h"
    PetscErrorCode PetscSectionVecNorm(PetscSection s, PetscSection gs, Vec x, NormType type, PetscReal val[])

## Input Parameters

- s - the local Section

- gs - the global section

- x - the vector

- type - one of `NORM_1`, `NORM_2`, `NORM_INFINITY`.

## Output Parameter

- val - the array of norms

## See Also

`VecNorm()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/vec/utils/vsection.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages